<?php
/*
Visualization template of check_snmp_host_cpu for pnp4nagios
2019-12-15 by Miklos Kokenyesi
Based on: check_pnp_rrds.php
Copyright (c) 2006-2010 Joerg Linge (http://www.pnp4nagios.org)
*/
$color['blueDark'] = "1313bf";
$color['blueLight'] = "ccccff";
$color['warning'] = "#ff0";
$color['critical'] = "#f00";

foreach ($this->DS as $KEY=>$VAL) {
	$warning = "";
	$critical = "";
	if ($VAL['WARN'] && is_numeric($VAL['WARN'])) {
		$warning = $VAL['WARN'];
	}
	if ($VAL['CRIT'] && is_numeric($VAL['CRIT'])) {
		$critical = $VAL['CRIT'];
	}
	$opt[1] = "--title \"".$VAL['LABEL']."\" ";
	$def[1] = "DEF:graph=$RRDFILE[1]:$DS[1]:MAX ";
	$def[1] .= rrd::gradient('graph', $color['blueLight'], $color['blueDark'], $VAL['LABEL'], 50);
	$def[1] .= "GPRINT:graph:LAST:\"%6.0lf last\" ";
	$def[1] .= "GPRINT:graph:AVERAGE:\"%6.0lf avg\" ";
	$def[1] .= "GPRINT:graph:MAX:\"%6.0lf max\\n\" ";
}
?>
