<?php
/*
Visualization template of check_snmp_host_mem for pnp4nagios
2019-12-15 Miklos Kokenyesi
Based on check_pnp_rrds.php
Copyright (c) 2006-2010 Joerg Linge (http://www.pnp4nagios.org)
*/
$color['blueDark'] = "#1313bf";
$color['greyLight'] = "#b3b3b3";
$color['greenDark'] = "#008000";
$color['greenLight'] = "#ccffcc";
$color['warning'] = "#ff0";
$color['critical'] = "#f00";
foreach ($this->DS as $KEY=>$VAL) {
	$warning = "";
	$critical = "";
	if ($VAL['WARN'] && is_numeric($VAL['WARN'])) {
		$warning = $VAL['WARN'];
	}
	if ($VAL['CRIT'] && is_numeric($VAL['CRIT'])) {
		$critical = $VAL['CRIT'];
	}
	$opt[1] = "--slope-mode --title \"Memory usage\" --upper-limit 100 --lower-limit 0";
	$def[1] = "DEF:active=$RRDFILE[1]:$DS[1]:MAX ";
	$def[1] .= "DEF:buffer=$RRDFILE[2]:$DS[2]:MAX ";
	$def[1] .= "DEF:cache=$RRDFILE[3]:$DS[3]:MAX ";
	$def[1] .= rrd::area('active', $color['blueDark'], 'Active %   ', true);
	$def[1] .= "GPRINT:active:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:active:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:active:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::area('buffer', $color['greyLight'], 'Buffer %  ', true);
	$def[1] .= "GPRINT:buffer:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:buffer:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:buffer:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::area('cache', $color['greenLight'], 'Cache(*) % ', true);
	$def[1] .= "GPRINT:cache:LAST:\"%6.1lf last\" ";
	$def[1] .= "GPRINT:cache:AVERAGE:\"%6.1lf avg\" ";
	$def[1] .= "GPRINT:cache:MAX:\"%6.1lf max\\n\" ";
	$def[1] .= rrd::hrule ($warning, $color['warning'], "Warning ($warning %)\\n");
	$def[1] .= rrd::hrule ($critical, $color['critical'], "Critical ($critical %)\\n");
	$def[1] .= "COMMENT:\"*Cache does not trigger alerts. Active+Buffer does.\"";
}
?>
