<?php
/*
Visualization template of check_snmp_host_load for pnp4nagios
2019-12-15 Miklos Kokenyesi
Based on check_pnp_rrds.php
Copyright (c) 2006-2010 Joerg Linge (http://www.pnp4nagios.org)
*/
$color['blueDark'] = "1313bf";
$color['blueLight'] = "ccccff";
$color['orangeDark'] = "ff6400";
$color['orangeLight'] = "ffdc00";
$color['greenDark'] = "008000";
$color['greenLight'] = "ccffcc";
foreach ($this->DS as $KEY=>$VAL) {
	$opt[1] = "--vertical-label Load --title \"System load averages\" -Y -X 0";
	$def[1] = "DEF:15m=$RRDFILE[3]:$DS[3]:MAX ";
	$def[1] .= "DEF:5m=$RRDFILE[2]:$DS[2]:MAX ";
	$def[1] .= "DEF:1m=$RRDFILE[1]:$DS[1]:MAX ";
	$def[1] .= rrd::gradient('15m', $color['greenLight'], $color['greenDark'], '15 minutes ');
	$def[1] .= "GPRINT:15m:LAST:\"%6.2lf last\" ";
	$def[1] .= "GPRINT:15m:AVERAGE:\"%6.2lf avg\" ";
	$def[1] .= "GPRINT:15m:MAX:\"%6.2lf max\\n\" ";
	$def[1] .= rrd::gradient('5m', $color['orangeLight'], $color['orangeDark'], '5 minutes  ');
	$def[1] .= "GPRINT:5m:LAST:\"%6.2lf last\" ";
	$def[1] .= "GPRINT:5m:AVERAGE:\"%6.2lf avg\" ";
	$def[1] .= "GPRINT:5m:MAX:\"%6.2lf max\\n\" ";
	$def[1] .= rrd::gradient('1m', $color['blueLight'], $color['blueDark'], '1 minute   ');
	$def[1] .= "GPRINT:1m:LAST:\"%6.2lf last\" ";
	$def[1] .= "GPRINT:1m:AVERAGE:\"%6.2lf avg\" ";
	$def[1] .= "GPRINT:1m:MAX:\"%6.2lf max\\n\" ";
}
?>
